using System;
using UnityEngine;

namespace CheesyFX
{
    public class FlexCollisionTrigger : MonoBehaviour
    {
        public FlexRegionSupportTracker tracker;

        public void OnCollisionEnter(Collision collision)
        {
            tracker.RegisterCollision(collision);
        }
        
        public void OnCollisionExit(Collision collision){
            
            tracker.DeregisterCollision(collision);
        }
        
        public void OnCollisionStay(Collision collision)
        {
            if (!tracker.colliding) OnCollisionEnter(collision);
        }
    }
}